summaryrefslogtreecommitdiff
path: root/post-install.d/50git-commit
diff options
context:
space:
mode:
Diffstat (limited to 'post-install.d/50git-commit')
-rwxr-xr-xpost-install.d/50git-commit9
1 files changed, 9 insertions, 0 deletions
diff --git a/post-install.d/50git-commit b/post-install.d/50git-commit
new file mode 100755
index 0000000..78247ca
--- /dev/null
+++ b/post-install.d/50git-commit
@@ -0,0 +1,9 @@
+#!/bin/sh
+set -e
+
+if [ -d .git ]; then
+ message="committing changes after $HIGHLEVEL_PACKAGE_MANAGER run"
+
+ # ignore exit code since it exits nonzero if there is nothing to do
+ git commit $GIT_COMMIT_OPTIONS -m "$message" || true
+fi